# Class MultiPointConfigKey

java.lang.Object
uk.ac.starlink.ttools.plot2.config.ConfigKey<MultiPointShape>
uk.ac.starlink.ttools.plot2.config.OptionConfigKey<MultiPointShape>
uk.ac.starlink.ttools.plot2.config.MultiPointConfigKey

public class MultiPointConfigKey extends OptionConfigKey<MultiPointShape>
Config key that specifies a multi-point shape.

Since:
  25 Feb 2013
Author:
  Mark Taylor

## Constructor Summary

Constructors
Constructor
Description
`MultiPointConfigKey(ConfigMeta meta, MultiPointShape[] shapes, ErrorMode[] modes)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`Specifier<MultiPointShape>`
`createSpecifier()`
Constructs a graphical control with which the user can specify a suitable value for association with this key.
`ErrorMode[]`
`getErrorModes()`
Returns the error mode array used which combines with a shape to work out how to paint an icon.
`String`
`getXmlDescription(MultiPointShape shape)`
Returns a description in XML of the given option value.

### Methods inherited from class OptionConfigKey

`addOptionsXml, getOptions, getOptionsXml, setOptionUsage, stringToValue, valueToString`

### Methods inherited from class ConfigKey

`cast, getDefaultValue, getMeta, getValueClass, toString`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### MultiPointConfigKey

public MultiPointConfigKey(ConfigMeta meta, MultiPointShape[] shapes, ErrorMode[] modes)
Constructor.

Parameters:
  `meta` - metadata
  `shapes` - shape options
  `modes` - error mode objects, used with shapes to draw icon

## Method Details

### getXmlDescription

public String getXmlDescription(MultiPointShape shape)
Description copied from class: `OptionConfigKey`
Returns a description in XML of the given option value. This, along with `OptionConfigKey.valueToString(T)`, is used by the `OptionConfigKey.getOptionsXml()` method to assemble a described list of the options.

Specified by:
  `getXmlDescription` in class `OptionConfigKey<MultiPointShape>`
Parameters:
  `shape` - possible value of this key
Returns:
  short snippet of XML (not wrapped in any outer element) describing the value; may be null if no description required or available

### getErrorModes

public ErrorMode[] getErrorModes()
Returns the error mode array used which combines with a shape to work out how to paint an icon.

Returns:
  error mode array

### createSpecifier

public Specifier<MultiPointShape> createSpecifier()
Description copied from class: `ConfigKey`
Constructs a graphical control with which the user can specify a suitable value for association with this key.

Overrides:
  `createSpecifier` in class `OptionConfigKey<MultiPointShape>`
Returns:
  new specifier